# TMR_GpioPin Struct Reference

`#include <tmr_gpio.h>`

List of all members.

## Public Attributes

uint8_t | id
bool | high
bool | output

## Detailed Description

The identity and state of a single GPIO pin.

## Member Data Documentation

bool TMR_GpioPin::high

Whether the pin is in the high state.

uint8_t TMR_GpioPin::id

The ID number of the pin.

bool TMR_GpioPin::output

The direction of the pin

The documentation for this struct was generated from the following file:

- tmr_gpio.h